Subject: Re: bug#34723: 27.0.50; customize and improve diff-mode recentering

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Mar 2019 22:22:41 +0200

> Date: Tue, 05 Mar 2019 21:11:13 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked], [email-masked]
> 
> > Isn't it easier to temporarily bind scroll-margin to a non-zero value,
> > then force redisplay?
> > 
> > Or maybe I'm missing something in this discussion.
> 
> I'm not sure how binding scroll-margin would change the behavior here.

It keeps point closer to the center of the window and away from the
window edges.  I though that's what you wanted, because doing that
will show more context around the match.